ubuntu-location-service: core::dbus::Codec< com::ubuntu::location::Position > Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Types | Static Public Member Functions | List of all members
core::dbus::Codec< com::ubuntu::location::Position > Struct Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::Codec< com::ubuntu::location::Position >:

## Public Types
typedef com::ubuntu::location::Position::Accuracy::Horizontal | HorizontalAccuracy
typedef com::ubuntu::location::Position::Accuracy::Vertical | VerticalAccuracy

## Static Public Member Functions
static void | encode_argument (Message::Writer &writer, const com::ubuntu::location::Position &in)
static void | decode_argument (Message::Reader &reader, com::ubuntu::location::Position &in)

## Detailed Description

Definition at line 169 of file codec.h.

## Member Typedef Documentation

## ◆ HorizontalAccuracy

typedef com::ubuntu::location::Position::Accuracy::Horizontal core::dbus::Codec< com::ubuntu::location::Position >::HorizontalAccuracy

Definition at line 171 of file codec.h.

## ◆ VerticalAccuracy

typedef com::ubuntu::location::Position::Accuracy::Vertical core::dbus::Codec< com::ubuntu::location::Position >::VerticalAccuracy

Definition at line 172 of file codec.h.

## Member Function Documentation

## ◆ decode_argument()

static void core::dbus::Codec< com::ubuntu::location::Position >::decode_argument | ( | Message::Reader & | reader,
|  | com::ubuntu::location::Position & | in
| ) |  |
| inlinestatic

Definition at line 184 of file codec.h.

References com::ubuntu::location::Position::accuracy, com::ubuntu::location::Position::altitude, com::ubuntu::location::Position::Accuracy::horizontal, com::ubuntu::location::Position::latitude, com::ubuntu::location::Position::longitude, and com::ubuntu::location::Position::Accuracy::vertical.

## ◆ encode_argument()

static void core::dbus::Codec< com::ubuntu::location::Position >::encode_argument | ( | Message::Writer & | writer,
|  | const com::ubuntu::location::Position & | in
| ) |  |
| inlinestatic

Definition at line 174 of file codec.h.

References com::ubuntu::location::Position::accuracy, com::ubuntu::location::Position::altitude, com::ubuntu::location::Position::Accuracy::horizontal, com::ubuntu::location::Position::latitude, com::ubuntu::location::Position::longitude, and com::ubuntu::location::Position::Accuracy::vertical.

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/codec.h